Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mayar.id/llms.txt

Use this file to discover all available pages before exploring further.

curl --location 'https://api.mayar.id/credit/v1/credit/generate/immutable/checkout' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data-raw '{
    "productId": "0e787345-9aaf-4b72-aa00-1174be6b52b1",
    "creditAmount": 1000, //optional
    "customerInfo": {
        "name" : "memberTambahan",
        "email" : "tambahan@gg.com",
        "mobile" : "08777777799"
    }
}'
{
    "statusCode": 200,
    "message": "success",
    "creditUsageImmutableCheckoutUrl": "https://donasisekutscom.myr.id/pl/test-product-credit?immutable=eyJuYW1lIjoiam9obiBkb2UiLCJlbWFpbCI6ImpvaG5kb2U1QGdtYWlsLmNvbSIsIm1vYmlsZSI6IjA4Nzc3Nzc3Nzc3IiwiY3JlZGl0QW1vdW50IjoyMDAwMH0=.03de9bf29c5861d950d13364c2c23d62675cd2f03cd27a5b7c682f2c43d25b4e",
    "paymentLinkUrl": "https://donasisekutscom.myr.id/pl/test-product-credit"
}
Endpoint:
https://api.mayar.id/credit/v1/credit/generate/immutable/checkout

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

Response

Successful Response
statusCode
integer
Indicates the HTTP status of the request (e.g. 200 for success).
message
string
A descriptive message about the outcome of the request.
creditUsageImmutableCheckoutUrl
string
A unique immutable checkout URL containing user identity fields and creditAmount.
The general (mutable) payment link URL.